Description

The right click context menu is really useful but it's difficult to find unless you are told about it.  In order to make it a bit more

discoverable, I'm thinking a CSS property can be added to the table rows.  Looking in Firebug, I found cursor: context-menu which

give the cursor a nice little dropdown icon.  Would this be an improvement and help hint to new users that there is a menu here?

Associated revisions

Revision 3205 - 2009-12-20 19:05 - Eric Davis

Change the cursor for context menus. (#2924)

History

#1 - 2009-03-07 10:27 - ycdtosa .

Eric Davis wrote:

The right click context menu is really useful but it's difficult to find unless you are told about it.  In order to make it a bit more discoverable, I'm

thinking a CSS property can be added to the table rows.  Looking in Firebug, I found cursor: context-menu which give the cursor a nice little

dropdown icon.  Would this be an improvement and help hint to new users that there is a menu here?

 +1 on this one.

#2 - 2009-03-07 14:23 - Fabian Buch

Cursor icons suggest you can do something by left-clicking, so setting cursor: context-menu would mean the context-menu appears when you

left-click.

#3 - 2009-03-07 15:28 - Jean-Philippe Lang

And what about showing the context menu when left-clicking once the row is selected?

This would solve problems with the right-click on some browsers as well.

#4 - 2009-03-08 11:49 - Fabian Buch

Depends on the user. Someone like me, who likes clicking around and selecting text while reading will get annoyed by a constantly popping up

context menu. In addition to that it's error prone: the first entry often is delete!

How about a column with a context-menu icon?

#5 - 2009-03-10 01:10 - Eric Davis

Attaching to the left click event would be nice but I also use the left click to highlight text (e.g. Copy and paste the raw issue text for an email).  How

about adding the context menu for either left or right click but only attaching it to one column?  The Issue ID column would be good since that's

always present and is usually an extra link since Subject links to the issue details.

#6 - 2010-07-07 13:29 - Felix Schäfer

- Status changed from New to Resolved

The original request has been taken care of, can this ticket be closed? I think the discussion about whether right- or left-click or an extra column

should be handed over to the UI Team, in a new ticket should a ticket be wished for.

#7 - 2010-07-14 05:35 - Eric Davis

- Status changed from Resolved to Closed
- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

- Resolution set to Fixed

Felix,

Agreed, this is done. Other improvements can new feature requests.
